## ppxlib 0.8.1

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

# Default rule
default:
	dune build --auto-promote @cinaps @install

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

test:
	dune runtest

doc:
	cd doc && sphinx-build . _build

livedoc:
	cd doc && sphinx-autobuild . _build \
	  -p 8888 -q  --host $(shell hostname) -r '\.#.*'

clean:
	dune clean

all-supported-ocaml-versions:
	dune build @install --workspace dune-workspace.dev --root .

.PHONY: default install uninstall reinstall clean test
.PHONY: all-supported-ocaml-versions

=== debian/changelog ===
ppxlib (0.8.1-1) unstable; urgency=medium

  * Initial release (Closes: #934890)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 28 Aug 2019 07:06:35 +0200

=== debian/control ===
Source: ppxlib
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-dune,
 libocaml-compiler-libs-ocaml-dev,
 libmigrate-parsetree-ocaml-dev (>= 1.4),
 libppx-derivers-ocaml-dev,
 libbase-ocaml-dev,
 libstdio-ocaml-dev,
 dh-ocaml
Standards-Version: 4.4.0
Section: ocaml
Homepage: https://github.com/ocaml-ppx/ppxlib
Vcs-Git: https://salsa.debian.org/ocaml-team/ppxlib.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppxlib

Package: libppxlib-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: meta-programming for OCaml
 The ppxlib project provides the basis for the ppx system, which is
 currently the officially supported method for meta-programming in
 OCaml. It offers a principled way to generate code at compile time in
 OCaml projects. It features:
  * OCaml AST / parser / pretty-printer snapshot, to create a full
    frontend independent of the version of OCaml;
  * library for ppx rewriters in general, and type-driven code
    generators in particular;
  * feature-full driver for OCaml AST transformers;
  * quotation mechanism allowing to write values representing the
    OCaml AST in the OCaml syntax;
  * generator of open recursion classes from type definitions.

## ppxlib 0.12.0

=== debian/changelog ===
ppxlib (0.12.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:34:58 +0000

ppxlib (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 13 Jan 2020 16:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ppxlib
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -13,7 +14,8 @@
  libbase-ocaml-dev,
  libstdio-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppxlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppxlib.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppxlib

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ppxlib/LICENSE.md

override_dh_auto_test:
# needs OCaml >= 4.06

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ppxlib/releases .*/archive/(.*)\.tar\.gz

## ppxlib 0.14.0

=== debian/changelog ===
ppxlib (0.14.0-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 10:10:35 +0200

ppxlib (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 25 Jul 2020 14:30:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ppxlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune,
  libocaml-compiler-libs-ocaml-dev,
- libmigrate-parsetree-ocaml-dev (>= 1.4),
+ libmigrate-parsetree-ocaml-dev (>= 1.5.0),
  libppx-derivers-ocaml-dev,
  libbase-ocaml-dev,
  libstdio-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppxlib

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,4 @@
 override_dh_auto_test:
 # needs OCaml >= 4.06
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## ppxlib 0.15.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Default rule
 default:
-	dune build --auto-promote @cinaps @install
+	dune build --auto-promote @install
 
 install:
 	dune install $(INSTALL_ARGS)
@@ -28,5 +28,11 @@
 all-supported-ocaml-versions:
 	dune build @install --workspace dune-workspace.dev --root .
 
+opam-release:
+	dune-release distrib --skip-build --skip-lint --skip-tests
+	dune-release publish distrib --verbose
+	dune-release opam pkg
+	dune-release opam submit
+
 .PHONY: default install uninstall reinstall clean test
-.PHONY: all-supported-ocaml-versions
+.PHONY: all-supported-ocaml-versions opam-release

=== debian/changelog ===
ppxlib (0.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Nov 2020 04:19:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  libocaml-compiler-libs-ocaml-dev,
  libmigrate-parsetree-ocaml-dev (>= 1.5.0),
  libppx-derivers-ocaml-dev,
- libbase-ocaml-dev,
- libstdio-ocaml-dev,
+ libsexplib0-ocaml-dev,
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ppxlib/releases .*-([0-9.]+)\.tbz

## ppxlib 0.24.0

=== Makefile ===
--- 
+++ 
@@ -34,5 +34,5 @@
 	dune-release opam pkg
 	dune-release opam submit
 
-.PHONY: default install uninstall reinstall clean test
+.PHONY: default install uninstall reinstall clean test doc
 .PHONY: all-supported-ocaml-versions opam-release

=== debian/changelog ===
ppxlib (0.24.0-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jan 2022 16:09:35 +0100

ppxlib (0.24.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 10:56:55 +0100

ppxlib (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 16:21:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libocaml-compiler-libs-ocaml-dev,
- libmigrate-parsetree-ocaml-dev (>= 1.5.0),
  libppx-derivers-ocaml-dev,
  libsexplib0-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppxlib

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,4 @@
 	rm -f $(DESTDIR)/usr/doc/ppxlib/LICENSE.md
 
 override_dh_auto_test:
-# needs OCaml >= 4.06
-
-override_dh_dwz:
+# needs cinaps

=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ppxlib/releases .*-([0-9.]+)\.tbz

## ppxlib 0.27.0

=== Makefile ===
--- 
+++ 
@@ -16,11 +16,7 @@
 	dune runtest
 
 doc:
-	cd doc && sphinx-build . _build
-
-livedoc:
-	cd doc && sphinx-autobuild . _build \
-	  -p 8888 -q  --host $(shell hostname) -r '\.#.*'
+	dune build @doc
 
 clean:
 	dune clean

=== debian/changelog ===
ppxlib (0.27.0-2) unstable; urgency=medium

  * Bump deb-version to get around numbering issue.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Oct 2022 20:56:20 +0200

ppxlib (0.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/watch.
  * Bump Standards-Version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Aug 2022 15:52:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libppx-derivers-ocaml-dev,
  libsexplib0-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppxlib

## ppxlib 0.30.0

=== debian/changelog ===
ppxlib (0.30.0-2+rb2) unstable; urgency=medium

  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 12:13:35 +0200

ppxlib (0.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 11:01:18 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libppx-derivers-ocaml-dev,
  libsexplib0-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppxlib

=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ppxlib/tags .*/([0-9.]+)\.tar\.gz

## ppxlib 0.32.0

=== debian/changelog ===
ppxlib (0.32.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1015179)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 14:08:55 +0100

ppxlib (0.31.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Oct 2023 10:29:32 +0200

ppxlib (0.30.0-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 07:43:01 +0200

ppxlib (0.30.0-2) unstable; urgency=medium

  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 12:13:35 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libocaml-compiler-libs-ocaml-dev,
  libppx-derivers-ocaml-dev,
  libsexplib0-ocaml-dev,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# needs cinaps

## ppxlib 0.32.1

=== debian/changelog ===
ppxlib (0.32.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Jun 2024 13:35:53 +0200

## ppxlib 0.33.0

=== debian/changelog ===
ppxlib (0.33.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2024 13:36:45 +0200

ppxlib (0.33.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 08:22:06 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libppx-derivers-ocaml-dev,
  libsexplib0-ocaml-dev,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppxlib

## ppxlib 0.34.0

=== debian/changelog ===
ppxlib (0.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2025 08:32:33 +0100

ppxlib (0.33.0-2) unstable; urgency=medium

  * Enable tests

 -- Stéphane Glondu <glondu@debian.org>  Mon, 14 Oct 2024 13:02:11 +0200

## ppxlib 0.35.0

=== debian/changelog ===
ppxlib (0.35.0-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 21:20:52 +0200

ppxlib (0.35.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Feb 2025 12:08:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,9 @@
  libocaml-compiler-libs-ocaml-dev,
  libppx-derivers-ocaml-dev,
  libsexplib0-ocaml-dev,
+ libfindlib-ocaml-dev <!nocheck>,
+ libre-ocaml-dev <!nocheck>,
+ libcinaps-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml-ppx/ppxlib/releases?per_page=50 \
https://github.com/ocaml-ppx/ppxlib/releases/download/[^/]+/ppxlib-@ANY_VERSION@.tbz

## ppxlib 0.36.1

=== debian/changelog ===
ppxlib (0.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 09 Sep 2025 19:57:46 +0200

## ppxlib 0.37.0

=== Makefile ===
--- 
+++ 
@@ -30,5 +30,9 @@
 	dune-release opam pkg
 	dune-release opam submit
 
-.PHONY: default install uninstall reinstall clean test doc
+bench:
+	dune build bench --profile release
+	dune exec bench/bench.exe
+
+.PHONY: default install uninstall reinstall clean test doc bench
 .PHONY: all-supported-ocaml-versions opam-release

=== debian/changelog ===
ppxlib (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Thu, 16 Oct 2025 09:09:53 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  libre-ocaml-dev <!nocheck>,
  libcinaps-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppxlib
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppxlib.git

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/ocaml-ppx/ppxlib/releases?per_page=50
Matching-Pattern: https://[^" ]+/ppxlib-@ANY_VERSION@\.tbz
Searchmode: plain
